import { PropType } from "vue";
import { BreakpointKey } from '../config/responsiveConfig';
import { AutoplayOptions, FreeModeOptions } from "swiper/types";
import { PaginationOptions } from "swiper/types/modules/pagination";
import { NavigationOptions } from "swiper/types/modules/navigation";
export declare type BreakpointsOptions = {
    [minWidth in string]?: BreakpointOption;
};
export declare type BreakpointOption = {
    slidesPerView?: number;
    spaceBetween?: number;
};
declare type PropBreakpoint = {
    [breakpointKey in BreakpointKey]?: BreakpointOption;
};
declare const _sfc_main: import("vue").DefineComponent<{
    index: NumberConstructor;
    slidesPerView: {
        type: PropType<number | "auto">;
        default: number;
    };
    spaceBetween: {
        type: NumberConstructor;
        default: undefined;
    };
    scrollbar: {
        type: BooleanConstructor;
        default: undefined;
    };
    pagination: {
        type: PropType<boolean | PaginationOptions>;
        default: undefined;
    };
    navigation: {
        type: PropType<boolean | NavigationOptions>;
        default: undefined;
    };
    loop: {
        type: BooleanConstructor;
        default: undefined;
    };
    autoHeight: {
        type: BooleanConstructor;
        default: undefined;
    };
    freeMode: {
        type: PropType<boolean | FreeModeOptions>;
        default: undefined;
    };
    breakpoints: {
        type: PropType<PropBreakpoint>;
        default: undefined;
    };
    direction: {
        type: PropType<"vertical" | "horizontal">;
        default: string;
    };
    fade: {
        type: BooleanConstructor;
        default: undefined;
    };
    autoplay: {
        type: PropType<boolean | AutoplayOptions>;
        default: undefined;
    };
    centeredSlides: {
        type: BooleanConstructor;
        default: undefined;
    };
    slidesPerGroup: {
        type: NumberConstructor;
        default: undefined;
    };
    mousewheel: {
        type: BooleanConstructor;
        default: undefined;
    };
}, {
    modules: import("swiper/types").SwiperModule[];
    swiperRef: import("vue").Ref<any>;
    swiper: import("vue").ComputedRef<any>;
    onSlideChange: () => void;
    currentIndex: import("vue").Ref<any>;
    autoplaying: import("vue").Ref<any>;
    setAutoPlaying: (value: boolean) => void;
    breakpointOptions: BreakpointsOptions | undefined;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    index: NumberConstructor;
    slidesPerView: {
        type: PropType<number | "auto">;
        default: number;
    };
    spaceBetween: {
        type: NumberConstructor;
        default: undefined;
    };
    scrollbar: {
        type: BooleanConstructor;
        default: undefined;
    };
    pagination: {
        type: PropType<boolean | PaginationOptions>;
        default: undefined;
    };
    navigation: {
        type: PropType<boolean | NavigationOptions>;
        default: undefined;
    };
    loop: {
        type: BooleanConstructor;
        default: undefined;
    };
    autoHeight: {
        type: BooleanConstructor;
        default: undefined;
    };
    freeMode: {
        type: PropType<boolean | FreeModeOptions>;
        default: undefined;
    };
    breakpoints: {
        type: PropType<PropBreakpoint>;
        default: undefined;
    };
    direction: {
        type: PropType<"vertical" | "horizontal">;
        default: string;
    };
    fade: {
        type: BooleanConstructor;
        default: undefined;
    };
    autoplay: {
        type: PropType<boolean | AutoplayOptions>;
        default: undefined;
    };
    centeredSlides: {
        type: BooleanConstructor;
        default: undefined;
    };
    slidesPerGroup: {
        type: NumberConstructor;
        default: undefined;
    };
    mousewheel: {
        type: BooleanConstructor;
        default: undefined;
    };
}>>, {
    autoplay: boolean | AutoplayOptions;
    loop: boolean;
    direction: "vertical" | "horizontal";
    autoHeight: boolean;
    fade: boolean;
    breakpoints: PropBreakpoint;
    spaceBetween: number;
    slidesPerView: number | "auto";
    slidesPerGroup: number;
    centeredSlides: boolean;
    mousewheel: boolean;
    navigation: boolean | NavigationOptions;
    pagination: boolean | PaginationOptions;
    scrollbar: boolean;
    freeMode: boolean | FreeModeOptions;
}>;
export default _sfc_main;
